=== debian/changelog ===
intel-hdcp (20.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #972379)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 17 Oct 2020 13:42:44 +0300
