=== debian/control ===
Source: intel-hdcp
Priority: optional
Section: misc
Maintainer: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 libdrm-dev,
 libegl-dev,
 libssl-dev,
 libwayland-dev,
 pkg-config,
 systemd,
Standards-Version: 4.5.0
Homepage: https://github.com/intel/hdcp
Vcs-Browser: https://salsa.debian.org/debian/intel-hdcp
Vcs-Git: https://salsa.debian.org/debian/intel-hdcp.git
Rules-Requires-Root: no

Package: intel-hdcp
Section: misc
Architecture: linux-any
Depends: 
 ${shlibs:Depends},
 ${misc:Depends},
Description: Intel unified HDCP implementation -- userspace daemon
 The Intel(R) unified HDCP (High-bandwidth Digital Content Protection)
 is a user space implementation to prevent copying of digital audio
 & video content across digital display interfaces. It provides Linux
 user space implementation to enable the HDCP1.4 and HDCP2.2 protection
 for external digital display interfaces (HDMI/DP).
 .
 This package contains the userspace daemon.

Package: libhdcpsdk-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends:
 libhdcpsdk0 (= ${binary:Version}),
 ${misc:Depends},
Description: Intel unified HDCP implementation -- development files
 The Intel(R) unified HDCP (High-bandwidth Digital Content Protection)
 is a user space implementation to prevent copying of digital audio
 & video content across digital display interfaces. It provides Linux
 user space implementation to enable the HDCP1.4 and HDCP2.2 protection
 for external digital display interfaces (HDMI/DP).
 .
 This package contains files needed for development.

Package: libhdcpsdk0
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Intel unified HDCP implementation -- shared library
 The Intel(R) unified HDCP (High-bandwidth Digital Content Protection)
 is a user space implementation to prevent copying of digital audio
 & video content across digital display interfaces. It provides Linux
 user space implementation to enable the HDCP1.4 and HDCP2.2 protection
 for external digital display interfaces (HDMI/DP).
 .
 This package contains the shared library.
