=== debian/watch ===
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

opts="filenamemangle=s%(?:.*?)?intel-HDCP-?(\d[\d.]*)\.tar\.gz%intel-hdcp-$1.tar.gz%" \
   https://github.com/intel/hdcp/tags \
   (?:.*?/)?intel-HDCP-?(\d[\d.]*)\.tar\.gz
